Package org.italiangrid.voms.request

# Interface VOMSResponseParsingStrategy

All Known Implementing Classes:
  `LegacyVOMSResponseParsingStrategy`, `RESTVOMSResponseParsingStrategy`

public interface VOMSResponseParsingStrategy
The strategy for parsing a response coming from a VOMS service.

Author:
  valerioventuri

## Method Summary

Modifier and Type
Method
Description
`VOMSResponse`
`parse(InputStream inputStream)`
Parse the response coming from a VOMS service and build a `VOMSResponse` object.

## Method Details

### parse

VOMSResponse parse(InputStream inputStream)
Parse the response coming from a VOMS service and build a `VOMSResponse` object.

Parameters:
  `inputStream` - the response from the VOMS service.
Returns:
  the response object representing the response from the service.